import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const guildGetAllocationData = createAsyncThunk(
  "GUILD_GET_ALLOCATION_DATA",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "steward-allocation/?steward_guilds_allocations=true/",
      {
        params: {
          date: d.date,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
